#ifndef XMATERIALARGUMENTCODECONST_H
#define XMATERIALARGUMENTCODECONST_H

#include "xasset.h"

class XMaterialArgumentCodeConst : public XAsset
{
public:
    explicit XMaterialArgumentCodeConst();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    int mIndex;
    int mFirstRow;
    int mRowCount;
};

#endif // XMATERIALARGUMENTCODECONST_H
